Get a generation job
curl --request GET \
--url https://airgraphic.io/api/jobs/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://airgraphic.io/api/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"sourceUrl": "<string>",
"assetType": "infographic",
"aspect": "9:16",
"format": "png",
"createdAt": "2023-11-07T05:31:56Z",
"imageUrl": "<string>",
"mirrorUrl": "<string>",
"width": 123,
"height": 123,
"contentType": "<string>",
"prompt": "<string>",
"error": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Generations
Get a generation job
Returns the current job state. Queued or running jobs are advanced by polling the image provider.
GET
/
api
/
jobs
/
{id}
Get a generation job
curl --request GET \
--url https://airgraphic.io/api/jobs/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://airgraphic.io/api/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"sourceUrl": "<string>",
"assetType": "infographic",
"aspect": "9:16",
"format": "png",
"createdAt": "2023-11-07T05:31:56Z",
"imageUrl": "<string>",
"mirrorUrl": "<string>",
"width": 123,
"height": 123,
"contentType": "<string>",
"prompt": "<string>",
"error": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Response
Current job state.